Name:		firetools
Summary:	Graphical user interface for Firajail
Version:	0.9.72
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Base
Url:		https://firejail.wordpress.com/
Source0:	https://download.sourceforge.net/firejail/firetools-%{version}.tar.xz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	firejail
Requires:	%{_lib}qt5svg5

%description
Firetools is a GUI application for Firejail. It offers a system tray launcher
for sandboxed apps, sandbox editing, management, and statistics. The software
package also includes a sandbox configuration wizard, firejail-ui.

%prep
%autosetup -p1

# fix libdir
sed -i -e 's#/$(PREFIX)/lib#%{_libdir}#g' Makefile.in

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files
%license COPYING
%doc README RELNOTES
%{_bindir}/fire*
%{_libdir}/firetools/
%{_datadir}/applications/fire*.desktop
%{_mandir}/man?/fire*.?*
%{_datadir}/pixmaps/fire*.png


%changelog
* Wed Apr 03 2024 wally <wally> 0.9.72-2.mga10
+ Revision: 2054066
- rebuild for i686

* Wed Apr 03 2024 daviddavid <daviddavid> 0.9.72-1.mga10
+ Revision: 2054039
- new version: 0.9.72 (mga#33049)

* Sun Sep 18 2022 wally <wally> 0.9.64-2.mga9
+ Revision: 1889829
- don't try to include disable-passwdmgr.inc as it was removed in firejail 0.9.68

* Sat Sep 17 2022 wally <wally> 0.9.64-1.mga9
+ Revision: 1889590
- new version 0.9.64

* Mon Apr 04 2022 umeabot <umeabot> 0.9.62-3.mga9
+ Revision: 1843110
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 0.9.62-2.mga8
+ Revision: 1543048
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 12 2020 wally <wally> 0.9.62-1.mga8
+ Revision: 1477659
- new version 0.9.62

* Sat Mar 30 2019 umeabot <umeabot> 0.9.52-3.mga7
+ Revision: 1381681
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.52-2.mga7
+ Revision: 1297706
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 wally <wally> 0.9.52-1.mga7
+ Revision: 1221019
- imported package firetools

